Subject: RE: [MIB-DOCTORS] IPV6-TC MIB and missing MODULE-IDENTITY

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Wed, 6 Sep 2006 10:58:31 +0300

> -----Original Message-----
> From: Juergen Schoenwaelder [mailto:[email-masked]] 
> Sent: Wednesday, September 06, 2006 10:49 AM
> To: Wijnen, Bert (Bert)
> Cc: MIB Doctors (E-mail)
> Subject: Re: [MIB-DOCTORS] IPV6-TC MIB and missing MODULE-IDENTITY
> 
> On Wed, Sep 06, 2006 at 12:00:17AM +0200, Wijnen, Bert (Bert) wrote:
> > 
> > So can you ask them as to which MIB module/document they picked up 
> > from where?
> > 
> > The one in RFC2465 indeed does not have a MODULE-IDENTITY.
> > That RFC has been obsoleted by RFC4293, and that new doc does no 
> > longer have that IPV6-TC.
> > I Think the TCs that were specified are no longer needed and the 
> > INET-ADDRESS-MIB has newer and better TCs.
> 
> The libsmi distribution contains this MIB module as it came 
> out of RFC 2465. The problem here is that modules are are not 
> needed anymore simply stay around in order to not break 
> imports and as a consequence people keep using the 
> definitions (and why not - they are still marked "current"). 
> For the customer who writes code, it would actually better to 
> retire MIB modules by republishing them with all definitions 
> marked as "obsolete" or "deprecated". Just setting a bit in 
> the RFC editor's database simply is not enough to stop people 
> using outdated definitions.
> 
> /js
> 

Is there a practical way to do it, without going through the pain of
republishing every old RFC that contains the MIB modules to be marked as
"obsolete" or "deprecated"? How many MIB modules are in this situation
today? 

Dan

_______________________________________________
MIB-DOCTORS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mib-doctors

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Wed, 6 Sep 2006 10:18:06 +0200

> "obsolete" or "deprecated"? How many MIB modules are in this situation

I do not know which modules are in this state. A more practical
approach to deal with this issue might be to publish a document which
says "up to now, the following MIB modules are obsolete and the
definitions in XYZ such be marked as obsolete or deprecated" and this
would at least give libsmi maintainers (and hopefully others) a handle
to update the modules. Just thinking loud here.

/js

-- 
Juergen Schoenwaelder		    International University Bremen
<http://www.eecs.iu-bremen.de/>	    P.O. Box 750 561, 28725 Bremen, Germany